#!/usr/bin/sh
# setup the desktop-files and copy them to the desktop

# 1) setup the desktop file for GuidosToolbox
#################################################################
desktopfile=$PWD/idl/save_add/guidos_progs/mspatmp/GTB.desktop
echo '[Desktop Entry]' >> ${desktopfile}
echo 'Comment=GuidosToolbox, MSPA and more' >> ${desktopfile}
echo 'Comment[en_US]=GuidosToolbox, MSPA and more' >> ${desktopfile}
echo 'Encoding=UTF-8' >> ${desktopfile}
echo 'Exec='"$PWD"'/startGTB.sh' >> ${desktopfile}
echo 'GenericName=GTB' >> ${desktopfile}
echo 'GenericName[en_US]=GTB' >> ${desktopfile}
echo 'Icon='"$PWD"'/idl/save_add/guidos_progs/guidos.png' >> ${desktopfile}
echo 'Path='"$PWD" >> ${desktopfile}
echo 'Name=GTB' >> ${desktopfile}
echo 'Name[en_US]=GTB' >> ${desktopfile}
echo 'StartupNotify=true' >> ${desktopfile}
echo 'Terminal=false' >> ${desktopfile}
echo 'Type=Application' >> ${desktopfile}

# make it executable and copy it to the desktop
chmod 755 ${desktopfile}
# if it exist already remove it and use the new one
dtfile=${HOME}/Desktop/Guidos.desktop
if test -e $dtfile; then
  /bin/rm -f $dtfile
fi
dtfile=${HOME}/Desktop/GuidosToolbox.desktop
if test -e $dtfile; then
  /bin/rm -f $dtfile
fi
dtfile=${HOME}/Desktop/GTB.desktop
if test -e $dtfile; then
  /bin/rm -f $dtfile
fi
/bin/mv ${desktopfile} ${dtfile}


# 2) setup the desktop file for GuidosToolbox Data
#################################################################
desktopfile=$PWD/idl/save_add/guidos_progs/mspatmp/GTB_Data.desktop
echo '[Desktop Entry]' >> ${desktopfile}
echo 'Encoding=UTF-8' >> ${desktopfile}
echo 'Icon='"$PWD"'/idl/save_add/guidos_progs/guidos.png' >> ${desktopfile}
echo 'Type=Link' >> ${desktopfile}
echo 'Name=GTB_Data' >> ${desktopfile}
echo 'Name[en_US]=GTB_Data' >> ${desktopfile}
echo 'URL='"$PWD"'/data' >> ${desktopfile}
chmod 644 ${desktopfile}

# copy it to the desktop
dtfile=${HOME}/Desktop/Guidos_Data.desktop
if test -e $dtfile; then
  /bin/rm -f $dtfile
fi
dtfile=${HOME}/Desktop/GuidosToolbox_Data.desktop
if test -e $dtfile; then
  /bin/rm -f $dtfile
fi
dtfile=${HOME}/Desktop/GTB_Data.desktop
if test -e $dtfile; then
  /bin/rm -f $dtfile
fi
/bin/mv ${desktopfile} ${dtfile}


# 3) setup the desktop file for OpenEV
#################################################################
desktopfile=$PWD/idl/save_add/guidos_progs/mspatmp/OpenEV.desktop
echo '[Desktop Entry]' >> ${desktopfile}
echo 'Comment=Raster/vector image viewer' >> ${desktopfile}
echo 'Comment[en_US]=Raster/vector image viewer' >> ${desktopfile}
echo 'Encoding=UTF-8' >> ${desktopfile}
echo 'Exec='"$PWD"'/startOpenEV.sh' >> ${desktopfile}
echo 'GenericName=OpenEV' >> ${desktopfile}
echo 'GenericName[en_US]=OpenEV' >> ${desktopfile}
echo 'Icon='"$PWD"'/idl/save_add/guidos_progs/openev.png' >> ${desktopfile}
echo 'Path='"$PWD" >> ${desktopfile}
echo 'Name=OpenEV' >> ${desktopfile}
echo 'Name[en_US]=OpenEV' >> ${desktopfile}
echo 'StartupNotify=true' >> ${desktopfile}
echo 'Terminal=false' >> ${desktopfile}
echo 'Type=Application' >> ${desktopfile}

# make it executable and copy it to the desktop
chmod 755 ${desktopfile}
dtfile=${HOME}/Desktop/OpenEV.desktop
if test -e $dtfile; then
  /bin/rm -f $dtfile
fi
/bin/mv ${desktopfile} ${dtfile}

#################################################################
# find out which dialog type to use, most basic is "echo" 
# then test for others...
DIALOG=echo
if type dialog > /dev/null 2>&1; then DIALOG=dialog;fi
if type Xdialog > /dev/null 2>&1; then DIALOG=Xdialog;fi

# 4) finish note
#################################################################
if test "$DIALOG" = "echo"; then
  echo "             GuidosToolbox Installer"
  echo "=================================================="
  echo "Installation finished successfully!"
  echo " "
  echo "The installer created the folder 'GuidosToolbox'"
  echo "and three desktop files named:"
  echo "'GTB','GTB_Data', and 'OpenEV'."
  echo "To uninstall GuidosToolbox simply delete these four items."
  echo "You can now start GuidosToolbox via the 'GTB' desktop icon."
  echo " "
  echo " "
fi

if test "$DIALOG" = "dialog"; then
   $DIALOG --title "GuidosToolbox Installer" \
   --msgbox "            Installation finished successfully! \n \nThe installer created the folder 'GuidosToolbox' and three desktop files named: 'GTB', 'GTB_Data', and 'OpenEV'. \nTo uninstall GuidosToolbox simply delete these four items.\n \nYou can now start GuidosToolbox via the 'GTB' desktop icon." 12 70
fi


if test "$DIALOG" = "Xdialog"; then
  $DIALOG --title "GuidosToolbox Installer" --left \
   --msgbox "            Installation finished successfully! \n \nThe installer created the folder 'GuidosToolbox' and three desktop files\nnamed: 'GTB', 'GTB_Data', and 'OpenEV'. \nTo uninstall GuidosToolbox simply delete these four items.\n \nYou can now start GuidosToolbox via the 'GTB' desktop icon." 18 100
fi


# 5) GuidosToolbox quickstart
#################################################################
if test "$DIALOG" = "echo"; then
  echo " "
  echo "                    GuidosToolbox Installer"
  echo "====================================================================="
  echo " "
  echo "  PLEASE INCREASE THE HEIGHT AND WIDTH OF YOUR TERMINAL WINDOW "
  echo "           TO VISUALIZE AND READ THE ENTIRE DOCUMENT"
  echo " "
  echo " "
  echo "                    GuidosToolbox Quickstart:"
  echo "====================================================================="
  echo "Please use the default and most versatile data format (Geo-)tiff"
  echo "whenever possible.  GuidosToolbox uses a sub-directory 'data' for"
  echo "reading/saving images ('GTB_Data' desktop shortcut) and "
  echo "a sample binary geotiff image 'input.tif' is located in this directory"
  echo "'data'. When starting GuidosToolbox you can either confirm using " 
  echo "the default GuidosToolbox sub-directory 'data', or specify your "
  echo "own data directory. "
  echo " "
  echo "Do a quick test run:"
  echo "====================================================================="
  echo "1) Start GuidosToolbox either via:"
  echo "  - (Double-) click the 'GTB' desktop icon, or "
  echo "  - (Double-) click the file 'GTB.desktop in the directory"
  echo "    'GuidosToolbox', or "
  echo "  - Open a terminal in the directory 'GuidosToolbox' and enter: "
  echo "    ./startGTB.sh"
  echo "2) The IDLVM window will open. Simply click on it " 
  echo "    or on 'click to continue'."
  echo "3) The GuidosToolbox data browser will open. Click 'OK' to use the"
  echo "    default data directory 'GuidosToolbox/data'."
  echo "4) Load the sample image: File -> Read Image -> GeoTiff"
  echo "    and click on 'input.tif' and then 'OK'."
  echo "5) Perform a MSPA-analysis: Image Analysis -> Pattern -> Morphological -> MSPA "
  echo "6) Save the result: File -> Save Image -> GeoTiff. This will save"
  echo "    the MSPA-analysis of 'input.tif' in the default directory 'data'."
  echo " "
  echo "More information on the use of GuidosToolbox and the MSPA parameters"
  echo "is available from the GuidosToolbox 'Help' menu."
  echo " "
  echo " "
fi

if test "$DIALOG" = "dialog"; then
   $DIALOG --title "GuidosToolbox Installer" \
   --msgbox " \n \n   PLEASE INCREASE THE HEIGHT AND WIDTH OF YOUR TERMINAL WINDOW \n         TO VISUALIZE AND READ THE ENTIRE DOCUMENT\n \nGuidosToolbox Quickstart: \n========================= \nPlease use the default and most versatile data format (Geo-)tiff whenever possible. GuidosToolbox uses a sub-directory 'data' for reading/saving images ('GTB_Data' desktop shortcut) and a sample binary geotiff image 'input.tif' is located in this directory 'data'. When starting GuidosToolbox you can either confirm using the default GuidosToolbox sub-directory 'data', or specify your own data directory. \n \nDo a quick test run: \n==================== \n1) Start GuidosToolbox either via: \n   - (Double-) click the 'GTB' desktop icon, or\n   - (Double-) click the file 'GTB.desktop' in \n     the directory 'GuidosToolbox', or \n   - Open a terminal in the directory 'GuidosToolbox' and enter: \n     ./startGTB.sh \n2) The IDLVM window will open. Simply click on it or on \n     'click to continue'.  \n3) The GuidosToolbox data browser will open. Click 'OK' to use the \n     default data directory 'GuidosToolbox/data'. \n4) Load the sample image: File -> Read Image -> GeoTiff \n     and click on 'input.tif' and then 'OK'. \n5) Perform a MSPA-analysis: Image Analysis -> Pattern -> Morphological -> MSPA \n6) Save the result: File -> Save Image -> GeoTiff. This will \n     save the MSPA-analysis of 'input.tif' in the default \n     directory 'data'.\n \nMore information on the use of GuidosToolbox and the MSPA parameters is available from the GuidosToolbox 'Help' menu." 50 70
fi

if test "$DIALOG" = "Xdialog"; then
   $DIALOG --title "GuidosToolbox Installer" --left \
   --msgbox "GuidosToolbox Quickstart: \n================ \nPlease use the default and most versatile data format (Geo-)tiff whenever\npossible. GuidosToolbox uses a sub-directory 'data' for reading/saving images \n('GTB_Data' desktop shortcut) and a sample binary geotiff image \n'input.tif' is located in this directory 'data'. When starting GuidosToolbox you can \neither confirm using the default GuidosToolbox sub-directory 'data', or specify \nyour own data directory. \n \nDo a quick test run: \n================ \n1) Start GuidosToolbox either via: \n    - (Double-) click the 'GTB' desktop icon or the file 'GTB.desktop'\n       in the directory 'GuidosToolbox', or \n    - Open a terminal in the directory 'GuidosToolbox' and enter: ./startGTB.sh \n2) The IDLVM window will open. Simply click on it or on 'click to continue'.  \n3) The GuidosToolbox data browser will open. Click 'OK' to use the default \n     data directory 'GuidosToolbox/data'. \n4) Load the sample image: File -> Read Image -> GeoTiff \n     and click on 'input.tif' and then 'OK'. \n5) Perform a MSPA-analysis: Image Analysis -> Pattern -> Morphological -> MSPA \n6) Save the result: File -> Save Image -> GeoTiff.  This will save \n     the MSPA-analysis of 'input.tif' in the default directory 'data'.\n \nMore information on the use of GuidosToolbox and the MSPA parameters \nis available from the GuidosToolbox 'Help' menu." 50 120
fi

exit 0;
