#!/usr/bin/sh
#
# if it exist already remove it and use the new one
# this script must be executed inside the GuidosToolbox directory!
topdir=`dirname $0`
if (test $topdir = ".") ; then
   topdir=$PWD;
fi
cd $topdir

# 1) setup the desktop file for GuidosToolbox
desktopfile=$PWD/GTB.desktop
if [ -e $desktopfile ]; then
  /bin/rm -f $desktopfile
fi
echo '[Desktop Entry]' >> ${desktopfile}
echo 'Comment=GuidosToolbox, MSPA and more' >> ${desktopfile}
echo 'Comment[en_US]=GuidosToolbox, MSPA and more' >> ${desktopfile}
echo 'Encoding=UTF-8' >> ${desktopfile}
echo 'Exec='"$PWD"'/startGTB.sh' >> ${desktopfile}
echo 'GenericName=GuidosToolbox' >> ${desktopfile}
echo 'GenericName[en_US]=GuidosToolbox' >> ${desktopfile}
echo 'Icon='"$PWD"'/idl/save_add/guidos_progs/guidos.png' >> ${desktopfile}
echo 'Path='"$PWD" >> ${desktopfile}
echo 'Name=GuidosToolbox' >> ${desktopfile}
echo 'Name[en_US]=GuidosToolbox' >> ${desktopfile}
echo 'StartupNotify=true' >> ${desktopfile}
echo 'Terminal=false' >> ${desktopfile}
echo 'Type=Application' >> ${desktopfile}
chmod u+x ${desktopfile}

# 2) setup the desktop file for GuidosToolbox_Data
desktopfile=$PWD/GTB_Data.desktop
if [ -e $desktopfile ]; then
  /bin/rm -f $desktopfile
fi
echo '[Desktop Entry]' >> ${desktopfile}
echo 'Encoding=UTF-8' >> ${desktopfile}
echo 'Icon='"$PWD"'/idl/save_add/guidos_progs/guidos.png' >> ${desktopfile}
echo 'Name=GuidosToolbox_Data' >> ${desktopfile}
echo 'Name[en_US]=GuidosToolbox_Data' >> ${desktopfile}
echo 'Type=Link' >> ${desktopfile}
echo 'URL='"$PWD"'/data' >> ${desktopfile}

# 3) setup the desktop file for OpenEV
desktopfile=$PWD/OpenEV.desktop
if [ -e $desktopfile ]; then
  /bin/rm -f $desktopfile
fi
echo '[Desktop Entry]' >> ${desktopfile}
echo 'Comment=Raster/vector image viewer' >> ${desktopfile}
echo 'Comment[en_US]=Raster/vector image viewer' >> ${desktopfile}
echo 'Encoding=UTF-8' >> ${desktopfile}
echo 'Exec='"$PWD"'/startOpenEV.sh' >> ${desktopfile}
echo 'GenericName=OpenEV' >> ${desktopfile}
echo 'GenericName[en_US]=OpenEV' >> ${desktopfile}
echo 'Icon='"$PWD"'/idl/save_add/guidos_progs/openev.png' >> ${desktopfile}
echo 'Path='"$PWD" >> ${desktopfile}
echo 'Name=OpenEV' >> ${desktopfile}
echo 'Name[en_US]=OpenEV' >> ${desktopfile}
echo 'StartupNotify=true' >> ${desktopfile}
echo 'Terminal=false' >> ${desktopfile}
echo 'Type=Application' >> ${desktopfile}
chmod u+x ${desktopfile}

Xdialog --title "GuidosToolbox Installer" --left \
--msgbox "GuidosToolbox Quickstart: \n================ \nPlease use the default and most versatile data format (Geo-)tiff whenever\npossible. GuidosToolbox uses a sub-directory 'data' for reading/saving images \n('GTB_Data' desktop shortcut) and a sample binary geotiff image \n'input.tif' is located in this directory 'data'. When starting GuidosToolbox you can \neither confirm using the default GuidosToolbox sub-directory 'data', or specify \nyour own data directory. \n \nDo a quick test run: \n================ \n1) Start GuidosToolbox either via: \n    - (Double-) click the 'GTB' desktop icon or the file 'GTB.desktop'\n       in the directory 'GuidosToolbox', or \n    - Open a terminal in the directory 'GuidosToolbox' and enter: ./startGTB.sh \n2) The IDLVM window will open. Simply click on it or on 'click to continue'.  \n3) The GuidosToolbox data browser will open. Click 'OK' to use the default \n     data directory 'GuidosToolbox/data'. \n4) Load the sample image: File -> Read Image -> GeoTiff \n     and click on 'input.tif' and then 'OK'. \n5) Perform a MSPA-analysis: Image Analysis -> Pattern -> MSPA \n6) Save the result: File -> Save Image -> GeoTiff.  This will save \n     the MSPA-analysis of 'input.tif' in the default directory 'data'.\n \nMore info on the use of GuidosToolbox and the MSPA parameters is available\nfrom the GuidosToolbox 'Help' menu." 44 120


exit 0;
